# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

%global debug_package %{nil}

Name:    wasistlos
Version: 1.7.0
Release: 1.ndias%{?dist}
Summary: An unofficial WhatsApp desktop application

License: GPLv3
URL:     https://github.com/xeco23/WasIstLos
Source0: https://github.com/xeco23/WasIstLos/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: webkit2gtk4.0-devel , cmake, gcc, gcc-c++, libcanberra-devel
BuildRequires: gtkmm30-devel, libayatana-appindicator-gtk3-devel

Provides: whatsapp-for-linux > 1.6.5

Obsoletes: whatsapp-for-linux <= 1.6.5

%description
An unofficial WhatsApp desktop application written in C++.

%prep
%setup -q -n WasIstLos-%{version}


%build
export CFLAGS="${CFLAGS} -fPIE"
export CXXFLAGS="${CXXFLAGS} -fPIE"
export LDFLAGS="${LDFLAGS} -pie"
mkdir -p build && cd build
cmake -DCMAKE_INSTALL_PREFIX=/usr ..
make %{?_smp_mflags}


%install
cd build
%make_install
strip --strip-debug --strip-unneeded $RPM_BUILD_ROOT/%{_bindir}/%{name}

%find_lang %{name}

%files -f build/%{name}.lang
%doc README.md
%license LICENSE

%{_bindir}/%{name}

%{_datadir}/applications/com.github.xeco23.WasIstLos.desktop

%{_datadir}/icons/hicolor/128x128/apps/com.github.xeco23.WasIstLos.png
%{_datadir}/icons/hicolor/128x128/status/com.github.xeco23.WasIstLos-tray-attention.png
%{_datadir}/icons/hicolor/128x128/status/com.github.xeco23.WasIstLos-tray.png

%{_datadir}/icons/hicolor/16x16/apps/com.github.xeco23.WasIstLos.png
%{_datadir}/icons/hicolor/16x16/status/com.github.xeco23.WasIstLos-tray-attention.png
%{_datadir}/icons/hicolor/16x16/status/com.github.xeco23.WasIstLos-tray.png

%{_datadir}/icons/hicolor/256x256/apps/com.github.xeco23.WasIstLos.png
%{_datadir}/icons/hicolor/256x256/status/com.github.xeco23.WasIstLos-tray-attention.png
%{_datadir}/icons/hicolor/256x256/status/com.github.xeco23.WasIstLos-tray.png

%{_datadir}/icons/hicolor/32x32/apps/com.github.xeco23.WasIstLos.png
%{_datadir}/icons/hicolor/32x32/status/com.github.xeco23.WasIstLos-tray-attention.png
%{_datadir}/icons/hicolor/32x32/status/com.github.xeco23.WasIstLos-tray.png

%{_datadir}/icons/hicolor/64x64/apps/com.github.xeco23.WasIstLos.png
%{_datadir}/icons/hicolor/64x64/status/com.github.xeco23.WasIstLos-tray-attention.png
%{_datadir}/icons/hicolor/64x64/status/com.github.xeco23.WasIstLos-tray.png

%{_datadir}/metainfo/com.github.xeco23.WasIstLos.appdata.xml

%changelog
* Thu Jan 9 2025 Nuno Dias <Nuno.Dias@gmail.com> - 1.7.0-1.ndias
- Version 1.7.0

* Fri Apr 26 2024 Nuno Dias <Nuno.Dias@gmail.com> - 1.6.5-1.ndias
- Version 1.6.5

* Fri Aug 18 2023 Nuno Dias <Nuno.Dias@gmail.com> - 1.6.4-1.ndias
- Version 1.6.4

* Tue May 30 2023 Nuno Dias <Nuno.Dias@gmail.com> - 1.6.3-1.ndias
- Version 1.6.3

* Mon Apr 3 2023 Nuno Dias <Nuno.Dias@gmail.com> - 1.6.2-1.ndias
- Version 1.6.2

* Mon Feb 27 2023 Nuno Dias <Nuno.Dias@gmail.com> - 1.6.1-1.ndias
- Version 1.6.1

* Mon Feb 6 2023 Nuno Dias <Nuno.Dias@gmail.com> - 1.6.0-1.ndias
- Version 1.6.0

* Mon Jan 30 2023 Nuno Dias <Nuno.Dias@gmail.com> - 1.5.3-1.ndias
- Version 1.5.3

* Mon Jan 23 2023 Nuno Dias <Nuno.Dias@gmail.com> - 1.5.2-1.ndias
- Version 1.5.2

* Tue Dec 27 2022 Nuno Dias <Nuno.Dias@gmail.com> - 1.5.1-1.ndias
- Version 1.5.1

* Mon Oct 31 2022 Nuno Dias <Nuno.Dias@gmail.com> - 1.5.0-1.ndias
- Version 1.5.0

* Mon Sep 26 2022 Nuno Dias <Nuno.Dias@gmail.com> - 1.4.7-1.ndias
- Version 1.4.7

* Sun Aug 7 2022 Nuno Dias <Nuno.Dias@gmail.com> - 1.4.6-1.ndias
- Version 1.4.6

* Mon Jul 18 2022 Nuno Dias <Nuno.Dias@gmail.com> - 1.4.5-1.ndias
- Version 1.4.5

* Sat Jul 2 2022 Nuno Dias <Nuno.Dias@gmail.com> - 1.4.4-2.ndias
- Removing links

* Wed Jun 29 2022 Nuno Dias <Nuno.Dias@gmail.com> - 1.4.4-1.ndias
- Version 1.4.4

* Tue May 24 2022 Nuno Dias <Nuno.Dias@gmail.com> - 1.4.3-2.ndias
- Updating links

* Sun May 22 2022 Nuno Dias <Nuno.Dias@gmail.com> - 1.4.3-1.ndias
- Version 1.4.3
